> For a complete page index, fetch https://docs.transak.com/llms.txt # Get KYC Reliance Quote GET https://api-gateway-stg.transak.com/api/v2/lookup/quotes The **Get Quote** is a **public API call** that allows you to fetch a **temporary price quote** for a cryptocurrency transaction based on the selected **fiat currency, cryptocurrency, payment method, and transaction amount**. Since cryptocurrency prices are **volatile**, the returned quote is refreshed **every minute** to reflect the latest market price. After fetching the **supported cryptocurrencies and fiat currencies**, you must call getQuote to get the latest exchange rate. This quote is **critical** for KYC verification and order placement: **KYC Process:** - The **quote ID** must be passed when calling `Get KYC Requirement` . - Based on the **order amount**, the user may be required to complete different KYC tiers (**Simple KYC, Standard KYC**). **Order Placement:** - The **quote ID** is also required when calling `createOrder()` - At the time of payment settlement, Transak sends the **exact amount of cryptocurrency** based on the latest exchange rate at that moment. Thus, `getQuote` plays a **vital role** in the **entire order flow**, from **KYC verification to order execution**. Additional Postman request: Get KYC Reliance Quote Reference: https://docs.transak.com/api/whitelabel/kyc-reliance/get-kyc-reliance-quote ## Request ### Query parameters - `apiKey` (string, required) — Your API Key from Transak Dashboard - `fiatCurrency` (string, required) — Supported fiat currency symbol from `/fiat/public/v1/currencies/fiat-currencies` - `cryptoCurrency` (string, required) — Supported crypto currency symbol from `/cryptocoverage/api/v1/public/crypto-currencies` - `isBuyOrSell` (string, required, default: BUY) — Value should be 'BUY' - `network` (string, required) — Supported crypto currency network from `/cryptocoverage/api/v1/public/crypto-currencies` - `paymentMethod` (string, required) — Supported payment method from `/fiat/public/v1/currencies/fiat-currencies` - `fiatAmount` (float, required) — Amount in fiat currency. For BUY, pass at least one of fiatAmount or cryptoAmount. - `cryptoAmount` (float, required) — Amount in crypto currency. For SELL, this parameter is required. - `kycShareTokenProvider` (string, required, default: SUMSUB) — Your KYC Shared Token provider. Currently SumSub only supported (The value should be 'SUMSUB') - `kycShareToken` (string, required) — Your KYC Shared token generated from the SumSub dashboard - `partnerCustomerId` (string, optional) — Unique id for user provided by partner - `partnerOrderId` (string, optional) — Unique id for order provided by partner ### Headers - `x-user-ip` (string, required) — End user's originating IP. More details [here](/guides/mandatory-security-changes#user-ip-header-in-apis) - `x-api-key` (string, required) — Partner API Key present in Transak Dashboard. ## Response ### 200 200 - Success - `data` (ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaData, required) ## Errors ### 400 Bad Request Error 400 - Invalid Payment Method - `error` (ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaError, required) ### 401 Unauthorized Error 401 - Unauthorized - `error` (ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaError, required) ### 500 Internal Server Error 500 - Internal Server Error - `error` (ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaError, required) ## Types ### ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaData - `feeBreakdown` (list of ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaDataFeeBreakdownItems, required) - `quoteId` (string, required) - `conversionPrice` (double, required) - `slippage` (double, required) - `fiatCurrency` (string, required) - `cryptoCurrency` (string, required) - `paymentMethod` (string, required) - `fiatAmount` (integer, required) - `cryptoAmount` (double, required) - `isBuyOrSell` (string, required) - `network` (string, required) - `networkId` (string, required) - `feeDecimal` (double, required) - `totalFee` (integer, required) - `nonce` (integer, required) ### ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaError - `statusCode` (integer, required) - `message` (string, required) ### ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaDataFeeBreakdownItems - `name` (string, required) - `value` (integer, required) - `id` (string, required) ## Examples ### Success KYC Reliance Quote **Response** ```json { "data": { "feeBreakdown": [ { "name": "Transak fee", "value": 1, "id": "transak_fee" }, { "name": "Network/Exchange fee", "value": 0, "id": "network_fee" } ], "quoteId": "ea57d316-098a-4ead-8300-266a6d5bed5e", "conversionPrice": 1.1272686386059025, "slippage": 0.53, "fiatCurrency": "GBP", "cryptoCurrency": "USDC", "paymentMethod": "gbp_bank_transfer", "fiatAmount": 50, "cryptoAmount": 55.24, "isBuyOrSell": "BUY", "network": "ethereum", "networkId": "", "feeDecimal": 0.02, "totalFee": 1, "nonce": 1747890325 } } ``` **SDK Code** ```python Success KYC Reliance Quote import requests url = "https://api-gateway-stg.transak.com/api/v2/lookup/quotes" querystring = {"apiKey":"","cryptoAmount":"0","cryptoCurrency":"","fiatAmount":"40","fiatCurrency":"","isBuyOrSell":"BUY","kycShareToken":"","kycShareTokenProvider":"","network":"","partnerCustomerId":"","partnerOrderId":"","paymentMethod":""} headers = { "x-api-key": "", "x-user-ip": "" } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Success KYC Reliance Quote const url = 'https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=&cryptoAmount=0&cryptoCurrency=&fiatAmount=40&fiatCurrency=&isBuyOrSell=BUY&kycShareToken=&kycShareTokenProvider=&network=&partnerCustomerId=&partnerOrderId=&paymentMethod='; const options = {method: 'GET', headers: {'x-api-key': '', 'x-user-ip': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success KYC Reliance Quote package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=&cryptoAmount=0&cryptoCurrency=&fiatAmount=40&fiatCurrency=&isBuyOrSell=BUY&kycShareToken=&kycShareTokenProvider=&network=&partnerCustomerId=&partnerOrderId=&paymentMethod=" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") req.Header.Add("x-user-ip", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success KYC Reliance Quote require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=&cryptoAmount=0&cryptoCurrency=&fiatAmount=40&fiatCurrency=&isBuyOrSell=BUY&kycShareToken=&kycShareTokenProvider=&network=&partnerCustomerId=&partnerOrderId=&paymentMethod=") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' request["x-user-ip"] = '' response = http.request(request) puts response.read_body ``` ```java Success KYC Reliance Quote import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=&cryptoAmount=0&cryptoCurrency=&fiatAmount=40&fiatCurrency=&isBuyOrSell=BUY&kycShareToken=&kycShareTokenProvider=&network=&partnerCustomerId=&partnerOrderId=&paymentMethod=") .header("x-api-key", "") .header("x-user-ip", "") .asString(); ``` ```php Success KYC Reliance Quote request('GET', 'https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=&cryptoAmount=0&cryptoCurrency=&fiatAmount=40&fiatCurrency=&isBuyOrSell=BUY&kycShareToken=&kycShareTokenProvider=&network=&partnerCustomerId=&partnerOrderId=&paymentMethod=', [ 'headers' => [ 'x-api-key' => '', 'x-user-ip' => '', ], ]); echo $response->getBody(); ``` ```csharp Success KYC Reliance Quote using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=&cryptoAmount=0&cryptoCurrency=&fiatAmount=40&fiatCurrency=&isBuyOrSell=BUY&kycShareToken=&kycShareTokenProvider=&network=&partnerCustomerId=&partnerOrderId=&paymentMethod="); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); request.AddHeader("x-user-ip", ""); IRestResponse response = client.Execute(request); ``` ```swift Success KYC Reliance Quote import Foundation let headers = [ "x-api-key": "", "x-user-ip": "" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=&cryptoAmount=0&cryptoCurrency=&fiatAmount=40&fiatCurrency=&isBuyOrSell=BUY&kycShareToken=&kycShareTokenProvider=&network=&partnerCustomerId=&partnerOrderId=&paymentMethod=")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### get_kyc_reliance_quote **Response** ```json { "data": { "feeBreakdown": [ { "name": "Transak fee", "value": 1, "id": "transak_fee" }, { "name": "Network/Exchange fee", "value": 0, "id": "network_fee" } ], "quoteId": "ea57d316-098a-4ead-8300-266a6d5bed5e", "conversionPrice": 1.1272686386059025, "slippage": 0.53, "fiatCurrency": "GBP", "cryptoCurrency": "USDC", "paymentMethod": "gbp_bank_transfer", "fiatAmount": 50, "cryptoAmount": 55.24, "isBuyOrSell": "BUY", "network": "ethereum", "networkId": "", "feeDecimal": 0.02, "totalFee": 1, "nonce": 1747890325 } } ``` **SDK Code** ```python get_kyc_reliance_quote import requests url = "https://api-gateway-stg.transak.com/api/v2/lookup/quotes" querystring = {"apiKey":"","cryptoAmount":"0","cryptoCurrency":"","fiatAmount":"40","fiatCurrency":"","isBuyOrSell":"BUY","kycShareToken":"","kycShareTokenProvider":"","network":"","partnerCustomerId":"","partnerOrderId":"","paymentMethod":""} headers = { "x-api-key": "", "x-user-ip": "" } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript get_kyc_reliance_quote const url = 'https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=&cryptoAmount=0&cryptoCurrency=&fiatAmount=40&fiatCurrency=&isBuyOrSell=BUY&kycShareToken=&kycShareTokenProvider=&network=&partnerCustomerId=&partnerOrderId=&paymentMethod='; const options = {method: 'GET', headers: {'x-api-key': '', 'x-user-ip': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go get_kyc_reliance_quote package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=&cryptoAmount=0&cryptoCurrency=&fiatAmount=40&fiatCurrency=&isBuyOrSell=BUY&kycShareToken=&kycShareTokenProvider=&network=&partnerCustomerId=&partnerOrderId=&paymentMethod=" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") req.Header.Add("x-user-ip", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby get_kyc_reliance_quote require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=&cryptoAmount=0&cryptoCurrency=&fiatAmount=40&fiatCurrency=&isBuyOrSell=BUY&kycShareToken=&kycShareTokenProvider=&network=&partnerCustomerId=&partnerOrderId=&paymentMethod=") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' request["x-user-ip"] = '' response = http.request(request) puts response.read_body ``` ```java get_kyc_reliance_quote import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=&cryptoAmount=0&cryptoCurrency=&fiatAmount=40&fiatCurrency=&isBuyOrSell=BUY&kycShareToken=&kycShareTokenProvider=&network=&partnerCustomerId=&partnerOrderId=&paymentMethod=") .header("x-api-key", "") .header("x-user-ip", "") .asString(); ``` ```php get_kyc_reliance_quote request('GET', 'https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=&cryptoAmount=0&cryptoCurrency=&fiatAmount=40&fiatCurrency=&isBuyOrSell=BUY&kycShareToken=&kycShareTokenProvider=&network=&partnerCustomerId=&partnerOrderId=&paymentMethod=', [ 'headers' => [ 'x-api-key' => '', 'x-user-ip' => '', ], ]); echo $response->getBody(); ``` ```csharp get_kyc_reliance_quote using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=&cryptoAmount=0&cryptoCurrency=&fiatAmount=40&fiatCurrency=&isBuyOrSell=BUY&kycShareToken=&kycShareTokenProvider=&network=&partnerCustomerId=&partnerOrderId=&paymentMethod="); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); request.AddHeader("x-user-ip", ""); IRestResponse response = client.Execute(request); ``` ```swift get_kyc_reliance_quote import Foundation let headers = [ "x-api-key": "", "x-user-ip": "" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=&cryptoAmount=0&cryptoCurrency=&fiatAmount=40&fiatCurrency=&isBuyOrSell=BUY&kycShareToken=&kycShareTokenProvider=&network=&partnerCustomerId=&partnerOrderId=&paymentMethod=")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```